Skip to Content
inclamoDocs

Create a label

POST
/api/v1/accounts/{account_id}/labels

Create a label in the account

Authorization

headerAuthorizationBearer <token>

Authenticate with Authorization: Bearer <token> using a user API token from Profile Settings. Available in Chatwoot v4.19.0 and later.

Path Parameters

account_id*integer

The numeric ID of the account

Request Body

application/json
  1. body
title?string

The label title

description?string

A short description for the label

color?string

Hex color code for the label

show_on_sidebar?boolean

Whether the label should appear in the sidebar

Response Body

Success

application/json
  1. response
id?number

The ID of the label

title?string

The title of the label

description?string

The description of the label

color?string

Hex color code for the label

show_on_sidebar?boolean

Whether the label should appear in the sidebar

Example Request
curl -X POST 'https://helpdesk.inclamo.com/api/v1/accounts/0/labels' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "id": 0,  "title": "string",  "description": "string",  "color": "string",  "show_on_sidebar": true}